Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util
Class NotImplementedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.openide.util.NotImplementedException

All Implemented Interfaces:
  Serializable

    public class NotImplementedException

extends RuntimeException

Should be thrown when a feature is not implemented. Usage of this exception should allow us to distingush between errors and unimplemented features.

Also this exception can easily be located in source code. That is why finding of unimplemented features should be simplified.

See Also:
  Serialized Form

Constructor Summary
`NotImplementedException()` Creates new exception NotImplementedException
`NotImplementedException(String s)` Creates new exception NotImplementedException with text specified string s.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotImplementedException

    public NotImplementedException()

  Creates new exception NotImplementedException

### NotImplementedException

    public NotImplementedException(String s)

  Creates new exception NotImplementedException with text specified string s.

  Parameters:
    `s` - the text describing the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.